<template>
  <div class="search-panel">
    <div>
      <Button>Try filter</Button>
    </div>
    <div class="search-panel__tabs">
      <div
        @click="setHomeTab('map')"
        class="search-panel__link"
        :class="{
          'is-active': homeTab == 'map'
        }"
        v-wave
      >
        <svg-icon name="marker" style="width: 22px; height: 22px" />
      </div>
      <div
        @click="setHomeTab('grid')"
        class="search-panel__link"
        :class="{
          'is-active': homeTab == 'grid'
        }"
        v-wave
      >
        <svg-icon name="tabs" />
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from '@nuxtjs/composition-api'
import useHomeTab from '@/hooks/home-tab'
import Button from '@/components/ui/Button.vue'

export default defineComponent({
  name: 'SearchMobilePanel',
  components: {
    Button
  },

  head: {},
  setup(_, { root }) {
    const { homeTab, setHomeTab } = useHomeTab()
    return {
      homeTab,
      setHomeTab
    }
  }
})
</script>

<style lang="scss" scoped>
.search-panel {
  position: fixed;
  left: 15px;
  right: 15px;
  bottom: 15px;
  display: grid;
  grid-template-columns: 1fr 110px;
  grid-gap: 8px;
  z-index: 9;
  @media (min-width: 991.98px) {
    display: none;
  }
  &__tabs {
    display: grid;
    grid-template-columns: 1fr 1fr;
    background-color: #3b435a;
    border-radius: 10px;
    overflow: hidden;
  }
  &__link {
    display: flex;
    align-items: center;
    justify-content: center;
    transition: 250ms all linear;
    border-radius: 10px;
    svg {
      flex: none;
      width: 18px;
      height: 18px;
      fill: rgba(#fff, 0.4);
    }
    &.is-active {
      background-color: #0065ff;
      svg {
        fill: #fff;
      }
    }
  }
}
</style>
